cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
329
Views
5
Helpful
3
Replies
raine1378
Beginner

ws-c2960s version stacking question

in my current production i have a switch that has ios version 15.0 (2) SE but I bought 2 other ws-c2960's that have the 12.(55) SE5 version...Will it automatically upgrade when it connects to the stack, 

1 ACCEPTED SOLUTION

Accepted Solutions
InayathUlla Sharieff
Cisco Employee

Isaac,

No it will not upgrade the firmware automatically bcz of IOS mismatch.

As this is the major software difference hence this will not be done.

Major Version Number Incompatibility Among Switches

Switches with different Cisco IOS software versions likely have different stack protocol versions. Switches with different major version numbers are incompatible and cannot exist in the same stack.

http://www.cisco.com/en/US/docs/switches/lan/catalyst2960/software/release/12.2_53_se/configuration/guide/swstack.html#wp1166394

HTH

Regards

Inayath.

*Plz rate if this info is helpfull.

View solution in original post

3 REPLIES 3
InayathUlla Sharieff
Cisco Employee

Isaac,

No it will not upgrade the firmware automatically bcz of IOS mismatch.

As this is the major software difference hence this will not be done.

Major Version Number Incompatibility Among Switches

Switches with different Cisco IOS software versions likely have different stack protocol versions. Switches with different major version numbers are incompatible and cannot exist in the same stack.

http://www.cisco.com/en/US/docs/switches/lan/catalyst2960/software/release/12.2_53_se/configuration/guide/swstack.html#wp1166394

HTH

Regards

Inayath.

*Plz rate if this info is helpfull.

Inayath Thank you very much!!!! that is what I figured just wanted to make sure..

Leo Laohoo
VIP Community Legend

You need to upgrade the two new ones to the exact IOS level as the existing one.  Make sure they have the same Feature Set too, like LAN Base or LAN Lite.